p {
    color: rgb(12, 47, 204);
}

div p {
    font-weight: bolder;
}

div h2 {
    color: rgb(99, 97, 97);
}

p,
h2 {
    font-style: italic;
}

div h2,
p {
    font-size: 15px;
    line-height: 2;
}

#test {
    color: rgb(134, 34, 109);
}

#test p {
    background-color: lightcyan;
}

#test p,
h2 {
    text-decoration: underline;
}

.www {
    border: solid 5px;
    border-color: green;
}

p.www {
    border: solid 5px;
    border-color: rgb(128, 0, 0);
}

.test,
.xxx {
    color: brown;
}

p.test,
.www {
    font-variant: small-caps;
}

[id='test'] p.www {
    color: aquamarine;
}

[id='test'] i {
    color: lime;
}

.www.xxx {
    border-radius: 20%;
}

p.test.xxx {
    text-shadow: red 1px 2px;
}

.test.www.xxx {
    border: solid 2px;
    border-color: yellowgreen;
}

p>a {
    color: rgb(212, 216, 0);
}

p>i {
    text-shadow: rgb(111, 0, 255) 1px 0 10px;
}

ul li {
    border-bottom: solid 5px violet;
}

b+i {
    text-decoration: green wavy underline;
}

[id='test'] b+i {
    text-decoration: rgb(181, 20, 230) wavy underline;
}

ul+p {
    text-decoration: rgb(97, 230, 20) underline;
}

h1+p {
    text-shadow: 1px 1px 2px black;
}

[id='test'] h2+p {
    color: rgb(165, 127, 255);
}

* {
    margin: 5px;
}

p i {
    text-decoration: rgb(0, 128, 122) wavy underline;
}

[title] {
    text-shadow: 6px 6px 8px rgb(65, 250, 8);
}

p[title] {
    color: brown;
}

p[title='title'] {
    text-decoration: wavy underline;
}

a[href^='#'] {
    text-decoration: none;
    color: #333;
}

a[href$='.html'] {
    text-decoration: wavy overline;
}

p[title~='hello'] {
    text-decoration: dotted underline;
}

p[class^='top-'] {
    color: teal;
}


/* ------- */

ol.list li {
    width: fit-content;
    border: solid 1px;
    padding: 5px;
}

.list1 li:hover {
    background-color: green;
}

.list1 li:hover+li {
    background-color: red;
}

.list2 li:hover {
    background-color: green;
}

.list2 li:hover+li+li {
    background-color: red;
}

.list3 li:hover {
    background-color: green;
}

.list3 li:hover~li {
    background-color: red;
}

.list3 li:hover~li:last-child {
    background-color: transparent;
}